# List redirect rules Returns a paginated list of redirect rules within your organization. Redirect rules map old Help Center URLs to new article or collection destinations, enabling seamless migration from legacy help center systems. Only Help Centers with a custom domain configured support redirect rules. ### Query Parameters - limit - Number of items to return (1-100, default 10) - cursor - Cursor for pagination - helpCenterId - Filter by help center ID - locale - Filter by locale code - targetType - Filter by target type ("article" or "collection") ### Response Format Returns a list object with: - object - Always "list" - data - Array of redirect rule objects - nextCursor - Cursor for next page (null if no more results) ### Redirect Rule Object Each redirect rule includes: - id - Unique identifier (MongoDB ObjectId) - helpCenterId - Help center this rule belongs to - locale - Locale code used to resolve the target translation - fromUrl - Canonical source URL (query/hash stripped, hostname lowercased) - targetType - "article" or "collection" - targetId - ID of the target article or collection - createdAt - ISO 8601 timestamp when created - updatedAt - ISO 8601 timestamp when last updated Endpoint: GET /v2/help_center/redirect_rules Version: 2026-01-01.nova Security: bearerAuth ## Header parameters: - `Featurebase-Version` (string) API version for this request. Defaults to your organization's configured API version if not specified. Example: "2026-01-01.nova" ## Query parameters: - `limit` (integer) A limit on the number of objects to be returned, between 1 and 100. Example: 10 - `cursor` (string) An opaque cursor for pagination. Use the nextCursor value from a previous response to fetch the next page. Example: "eyJpZCI6IjUwN2YxZjc3YmNmODZjZDc5OTQzOTAxMSJ9" - `helpCenterId` (string) Filter redirect rules by help center ID Example: "ox6qrqprmsuqaunj" - `locale` (string) Filter redirect rules by locale Enum: "bn", "bs", "pt-BR", "bg", "ca", "hr", "cs", "da", "nl", "en", "et", "fi", "fr", "de", "el", "hi", "hu", "id", "it", "ja", "ko", "lv", "lt", "ms", "mn", "nb", "pl", "pt", "ro", "ru", "sr", "zh-CN", "sk", "sl", "es", "sw", "sv", "th", "zh-TW", "tr", "uk", "vi" - `targetType` (string) Filter redirect rules by target type Enum: "article", "collection" ## Response 200 fields (application/json): - `object` (string, required) Object type identifier Enum: "list" - `data` (array, required) Array of redirect rules Example: [] - `data.id` (string, required) Redirect rule unique identifier Example: "507f1f77bcf86cd799439011" - `data.helpCenterId` (string, required) Help center identifier Example: "ox6qrqprmsuqaunj" - `data.locale` (string, required) Locale code for the redirect rule Enum: "bn", "bs", "pt-BR", "bg", "ca", "hr", "cs", "da", "nl", "en", "et", "fi", "fr", "de", "el", "hi", "hu", "id", "it", "ja", "ko", "lv", "lt", "ms", "mn", "nb", "pl", "pt", "ro", "ru", "sr", "zh-CN", "sk", "sl", "es", "sw", "sv", "th", "zh-TW", "tr", "uk", "vi" - `data.fromUrl` (string, required) Canonical source URL being redirected from (query and hash stripped) Example: "https://help.example.com/en/old/getting-started" - `data.targetType` (string, required) Type of content the redirect points to Enum: "article", "collection" - `data.targetId` (string, required) Target article or collection ID Example: "1234567" - `data.createdAt` (string, required) ISO 8601 timestamp when created Example: "2026-02-11T12:00:00.000Z" - `data.updatedAt` (string, required) ISO 8601 timestamp when last updated Example: "2026-02-11T12:00:00.000Z" - `nextCursor` (string,null, required) Cursor for fetching the next page. Null if there are no more results. ## Response 400 fields (application/json): - `error` (object, required) - `error.type` (string, required) The type of error returned Enum: "invalid_request_error" - `error.code` (string, required) Machine-readable error code Enum: "invalid_cursor" - `error.message` (string, required) Human-readable error message Example: "An error occurred" - `error.param` (string) The parameter that caused the error (if applicable) Example: "id" - `error.status` (number, required) HTTP status code Enum: 400